NSX-T Data Center Global Manager REST API
Create node users
Create new user account to log in to the NSX web-based user interface or access API.username is required field in case of creating new user, further following
usernames -
root, admin, audit are reserved and can not be used
to create new user account unless for local audit user.
In case of local audit account when username not specified in request by default
account will be created with
audit username, although administrators
are allowed to use any other non-duplicate usernames during creation.
When a VCF password management policy is configured, VCF password management policy's
properties take precedence and are enforced. password_change_frequency is set to the
VCF password management policy's passwordExpirationDays if not provided. Specifying
the password_change_frequency value that conflicts with the VCF password management
policy's passwordExpirationDays returns 409 CONFLICT. Please use the VCF Ops UI/API
to update the policy if needed.
Request:
Method:
POST
URI Path(s):
/api/v1/cluster/{cluster-node-id}/node/users?action=create_user
/api/v1/cluster/{cluster-node-id}/node/users?action=create_audit_user
/api/v1/cluster/{cluster-node-id}/node/users?action=create_service_user
/api/v1/node/users?action=create_user
/api/v1/node/users?action=create_audit_user
/api/v1/node/users?action=create_service_user
/api/v1/cluster/{cluster-node-id}/node/users?action=create_audit_user
/api/v1/cluster/{cluster-node-id}/node/users?action=create_service_user
/api/v1/node/users?action=create_user
/api/v1/node/users?action=create_audit_user
/api/v1/node/users?action=create_service_user
Request Headers:
n/a
Query Parameters:
n/a
Request Body:
NodeUserProperties+
Example Request:
POST https://<nsx-mgr>/api/v1/node/users?action=create_user { "full_name": "New user", "username": "newuser" }Successful Response:
Response Code:
201 Created
Response Headers:
Content-type: application/json
Response Body:
NodeUserProperties+